=== debian/changelog ===
onetbb (2021.5.0-7ubuntu2) jammy; urgency=medium

  * Split out a libtbbmalloc2 package.
  * Mark some of the libtbbmalloc symbols as optional.
  * Build for riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Mar 2022 09:55:56 +0100

onetbb (2021.5.0-7) experimental; urgency=medium

  * Remove fetchadd4-ia64-gcc.patch: generic fallback invalid for IA64.
  * Revise patch of test_collaborative_call_once for __arm__ and x32.
  * Add -faligned-new in CXXFLAGS for m68k and sh4.
  * Disable ITT_NOTIFY on IA64 architecture.

 -- Mo Zhou <lumin@debian.org>  Tue, 22 Feb 2022 12:51:02 -0500

onetbb (2021.5.0-6) experimental; urgency=medium

  * Patch and fix libatomic linkage on architectures incl. armel.
  * Reduce stress of test_collaborative_call_once on __arm__ and x32.
  * Revise fetchadd4.patch based on upstream suggestion.
  * Patch code to avoid undefined fetchadd4 on IA64 with gcc.

 -- Mo Zhou <lumin@debian.org>  Tue, 15 Feb 2022 10:16:19 -0500

onetbb (2021.5.0-5) experimental; urgency=medium

  * Patch source to avoid "undefined __TBB_machine_fetchadd4".
  * Overhaul buildflags definition for CMake. Deprecate old defs for Makefile.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 21:53:17 -0500

onetbb (2021.5.0-4) experimental; urgency=medium

  * Cherry-pick 8f78aa096459b8ea0fcb54d2f0854f1889043f5d to fix test_eh_thread.
  * Prevent dh-missing from failing the build due to README.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 15:48:13 -0500

onetbb (2021.5.0-3) experimental; urgency=medium

  * Cherry-pick upstream fix for i386.
  * Fix FTBFS for --arch-all --no-arch-any build.
  * Fix broken symlink in libtbb-doc. (Closes: #988868)

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Feb 2022 13:50:43 -0500

onetbb (2021.5.0-2) experimental; urgency=medium

  * Breaks+Replaces: libtbb2 (<< 2021). (Closes: #1004980)
  * B-D on cmake for all architectures.
  * Reintroduce remove-unaligned-test.patch to fix bus error during test.

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Feb 2022 17:57:13 -0500

onetbb (2021.5.0-1) experimental; urgency=medium

  * Team upload

  [ Mo Zhou ]
  * New upstream version 2021.4.0 (Closes: #987689)
  * Source rename following upstream. The new upstream Git URL is
    https://github.com/oneapi-src/oneTBB
  * d/rules: Switch build system to cmake+ninja.
    + Remove OS detection flags for old buildsystem.
    + Update buildflags in favor of new CMake buildsystem.
    + No longer need to manually install pkg-config and cmake files.
  * d/patches: Remove patches for old build system.
    + And temporarily disable all remaining patches.
  * Bump SOVERSION to 12 and refresh symbols control file. (Closes: #997115)
  * Migrate to Sphinx for building documentation.
  * d/*.{install,docs,examples}: Reflect upstream file changes.
  * Remove unnecessary links and lintian overrides.
  * Migrate to new API for d/tests/test.cc for autopkgtest.
  * Use upstream examples for autopkgtest.
  * Upload to experimental.

  [ Andreas Tille ]
  * Do not repack upstream source
  * DEP5
  * Drop uupdate from watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * No need to use dh-exec

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 17:14:25 +0100

tbb (2020.3-1) unstable; urgency=medium

  * New upstream version 2020.3
  * Refresh symbols control file.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Aug 2020 08:33:57 +0800

tbb (2020.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 13 Apr 2020 07:56:18 +0800

tbb (2020.2-1) experimental; urgency=medium

  * New upstream version 2020.2
  * Specify Rules-Requires-Root: no in control
  * Bump Standards-Version to 4.5.0 (no change).

 -- Mo Zhou <lumin@debian.org>  Sun, 05 Apr 2020 18:19:33 +0800

tbb (2020.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 07 Feb 2020 09:32:59 +0800

tbb (2020.1-1) experimental; urgency=medium

  * New upstream version 2020.1
  * Autopkgtest: let cmake test compile a simple C++ program.

 -- Mo Zhou <lumin@debian.org>  Thu, 30 Jan 2020 18:01:05 +0800

tbb (2020.0-2) unstable; urgency=medium

  * Mark libtbb-doc as Multi-Arch: foreign.
  * Merge the content of tbb-examples package into libtbb-doc package.
  * Remove the third-party cmake file FindTBB.cmake
  * CMake: use TBBConfig*.cmake to find TBB. (Closes: #929967)
  * Add a CMakeLists.txt to debian/tests for testing TBBConfig*.cmake
  * Bump debhelper compat level to 12 and deprecate d/compat.
  * Initialize autopkgtest: upstream unit tests, cmake find_package.

 -- Mo Zhou <lumin@debian.org>  Tue, 07 Jan 2020 09:01:17 +0800

tbb (2020.0-1) experimental; urgency=medium

  * New upstream version 2020.0
  * Update watch file, reflecting the version scheme change.
  * Rebase/Refresh existing patch stack.
  * Add missing B-D-I graphviz.
  * Refresh symbols control file.
  * Override a lintian warning.
  * Update my own mail address.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Jan 2020 17:05:21 +0800

tbb (2019~U9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 15 Oct 2019 10:06:29 +0000

tbb (2019~U9-1) experimental; urgency=medium

  * New upstream version 2019~U9
  * Rebase gcc-atomic-detection.patch
  * Update symbols list for amd64.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 11 Oct 2019 21:24:17 +0800

tbb (2019~U8-1) unstable; urgency=medium

  * New upstream version 2019~U8

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 06 Jul 2019 04:48:07 +0000

tbb (2019~U7-1) unstable; urgency=medium

  * New upstream version 2019~U7
  * Rebase gcc-atomic-detection.patch and refresh the rest patches.

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 04 Jun 2019 12:14:14 +0000

tbb (2019~U5-1~exp1) experimental; urgency=medium

  * New upstream version 2019~U5

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 28 Mar 2019 00:34:43 +0000


