=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/oneapi-src/oneTBB/releases \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
